Veo 3.1 Fast
Integrar
veo3.1/fast
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1/fast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1/fast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": True,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1/fast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/pt-BR/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "veo3.1/fast",
"input": {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}
}
Chame o modelo Veo 3.1 Fast (veo3.1/fast) por meio da Doitong API. Documentação para agentes: https://doitong.com/pt-BR/developers/models/veo3.1/fast.md
POST https://api.doitong.com/v1/run/veo3.1/fast?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}
Se o status da resposta for "queued" ou "running", consulte GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 repetidamente até que seja "succeeded"; os arquivos estão em outputs[].url. POST https://api.doitong.com/v1/quote/veo3.1/fast com o mesmo corpo retorna o preço exato antes da execução.
Esta solicitação: $ 0,60 600 créditos de API Executar nesta página
Sua nova chave de API. Ela é exibida apenas agora e já está no código e no campo de chave de API abaixo. Mantenha-a em segredo: nunca a coloque em um código executado no navegador.
Exemplos
PromptUltra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing. Sound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. Visual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced. Camera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh. Style: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.
Criar uma solicitação
Os controles são gerados a partir do esquema do modelo. O código e o preço são atualizados conforme você os altera.
/run/veo3.1/fast?wait=20
cotação → $ 0,60
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/veo3.1/fast?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/veo3.1/fast?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": True,
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/veo3.1/fast", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "veo3.1/fast",
"input": {
"prompt": "Ultra realistic ASMR video of a fresh ripe pineapple being cut into a glass-shaped cylinder. Close-up macro shot, natural kitchen lighting, high detail pineapple texture, visible juice droplets, slow precise knife slicing.\nSound focus: crisp crunchy cutting sound, juicy wet fiber tearing sound, subtle knife sliding on cutting board, natural room ambience, no music, stereo binaural ASMR audio. \n\nVisual detail: yellow golden pineapple flesh, fresh green crown slightly visible on table, wooden cutting board, stainless steel sharp knife, realistic juice splashing slightly when sliced.\nCamera: slow cinematic movement, macro lens, depth of field, focus on knife entering pineapple flesh.\nStyle: hyper realistic, 4K, natural color grading, food photography realism, satisfying ASMR style.",
"duration": "4s",
"resolution": "720p",
"generate_audio": true
},
"wait_seconds": 20
}
}
}
Executar esta solicitação
Sua chave permanece neste navegador: ela é enviada somente à Doitong API e salva (localStorage) apenas se você marcar Lembrar. Obter uma chave de API
Feito no Doitong
Trabalhos públicos feitos com Veo 3.1 pela comunidade Doitong. Reutilize um prompt com um clique.
Vídeo
Art style: Modern Webtoon Illustration. Нари спокойно лежит с закрытыми глазами. Внезапно она резко открывает оба глаза, выражая испуг и осознание, что проспала. Быстрое, чёткое комедийное движение. Голова, волосы, подушка и одеяло остаются практически неподвижными. Камера статична. Сохранить...
Vídeo
Art style: Реалистичный кулинарный блог. Камера совершает медленный наезд на ведущую. Она продолжает говорить, используя выразительную жестикуляцию рук. Ее движения плавные и открытые. Она слегка наклоняется вперед, создавая более тесный контакт со зрителем. На заднем плане можно заметить детали...
Vídeo
Art style: Реалистичный кулинарный блог. Камера медленно пролетает над противнем по диагонали. Пальцы ведущей совершают щепотку, и семена кунжута веером рассыпаются над булочками, медленно падая и прилипая к блестящей поверхности. Видно, как под весом семян слой желтка слегка прогибается....
Slow pan across the trees with icons, focusing on the man's hopeful face as he looks up. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Narrator: "Останавливаясь у икон, развешанных прямо на деревьях вдоль тропы, Андрей искренне просил о встрече с...
Женщина громко смеется вместе с друзьями, но внезапно ее смех обрывается, и она с тревогой смотрит вниз. Камера фокусируется на изменении ее настроения от радости к испугу. Off-screen voiceover (all characters have their mouths closed, no one is speaking on screen): Voice: Мужской голос,...
Камера медленно и драматично приближается к плачущему мальчику, стоящему в центре кадра. Мальчики-хулиганы вокруг него активно жестикулируют, жестоко смеются и агрессивно тычут в него пальцами. Проливной дождь льет без остановки, тяжелые капли эффектно разбиваются об асфальт, создавая брызги....
Vídeo
Art style: 3D Anthro. Mr. Pomegranate lifts the portraits: "Two grooms. The famous Leo Lime... and a man nobody has ever seen." Mia jumps up and points at the Lime portrait, bratty voice: "The famous one is mine! Give the mystery guy to the ghost." Grana sits still. SPOKEN LINE — AUTHORITATIVE,...
Кинематографичная сцена в современном офисном коридоре. Огромная дверь с надписью «Фарм» резко открыта, изнутри виден пиксельный мир в стиле Minecraft: квадратные фермы, зелёные блоки, механизмы, лёгкое зелёное и тёплое свечение. Из двери выходит главный герой — толстый, неприятного вида, немного...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Главный герой открывает дверь и попадает в розовый сказочный HR-мир. Камера показывает пони, сердечки, блестящие облачка, розовый свет и всё вокруг как будто сделано из милоты. В центре появляется бимбо-глава HR — очень гламурная, в розовом, с идеальной внешностью и ярким макияжем. Она дружелюбно...
Главный герой открывает дверь и оказывается в гигантском мире Minecraft-like. Камера показывает бесконечные фермы, механизмы, падающие ресурсы, мобов, редстоун и автоматизацию. На переднем плане стоит глава отдела фарма — квадратный парень с мотыгой в руках. Он разворачивается к герою и жестом...
Кинематографичная сцена: главный герой открывает дверь и попадает в бесконечный тёмный мир серверов. Камера медленно движется вперёд, показывая бесконечные серверные стойки, мигающие лампы и холодный неоновый свет. Из темноты появляется глава разработки — абсурдно огромный качок с идеальной...
Камера показывает рабочую жизнь HR-отдела: одна сотрудница катается на кресле, кто-то берёт подушку Кати, несколько человек сидят и увлечённо болтают, другие пьют чай и кушают, и всё это происходит так, будто это стратегическая работа мирового уровня. Глава HR стоит посреди этого хаоса и с милой...
Кинематографичная сцена в современном офисном коридоре. Главный герой стоит напротив четырёх огромных дверей, каждая из которых выглядит как вход в отдельную вселенную. Над дверями большими буквами написано: Разработка, Маркетинг, HR, Фарм. Сначала камера показывает героя со спины или в...
Глава фарма ведёт главного героя по своему миру и показывает, как устроены фермы и процессы. Затем он указывает на отдельную часть системы, где визуально показана новая схема выдачи аккаунтов по новым гео. Вокруг двигаются механизмы, работают фермы, падает дроп, всё автоматизировано и работает...
Камера показывает гигантского киберпанк-робота в мире серверов. Робот медленно выходит из темноты, на нём современное худи, широкие штаны, в руке электронка, от него идёт холодное неоновое свечение. Глава разработки с гордостью презентует его главному герою, жестом показывая на робота. Робот...
Sobre Veo 3.1 Fast
Veo 3.1 Fast mantém o realismo, o diálogo e a geração de som do Veo, com tempos de renderização menores e um preço muito mais baixo, sendo uma boa opção padrão para iteração. 4, 6 ou 8 segundos, 16:9 ou 9:16, a 720p, 1080p ou 4K; o áudio pode ser desativado.
Parâmetros
promptobrigatório
aspect_ratioopcional
durationopcional
negative_promptopcional
resolutionopcional
generate_audioopcional
seedopcional
auto_fixopcional
safety_toleranceopcional
Saída
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "veo3.1/fast",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 600,
"usd": "0.60",
"charged": 600,
"refunded": 0
},
"input": {
"prompt": "A golden retriever runs along a beach at sunset, waves splashing, slow motion, warm backlight",
"duration": 6,
"resolution": "720p"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
Campos da saída
- video
- object {url, content_type, file_name, file_size}Vídeo produzido pelo modelo.
Outras variantes de Veo 3.1
Mais modelos: Texto para vídeo
Para agentes de IA: esta página em Markdown está em https://doitong.com/pt-BR/developers/models/veo3.1/fast.md. Todos os modelos e guias: https://doitong.com/developers/llms.txt